## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo dde-calendar
%global __provides_exclude_from ^%{_libdir}/deepin-aiassistant/.*\\.so$

Name:           deepin-calendar
Version:        5.14.8
Release:        %autorelease
Summary:        Calendar for Deepin Desktop Environment
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-calendar
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5LinguistTools)

BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkGui)

BuildRequires:  pkgconfig(libical)

BuildRequires:  systemd-rpm-macros
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme
Recommends:     deepin-manual

%description
Calendar for Deepin Desktop Environment.

%prep
%autosetup -p1 -n %{repo}-%{version}

sed -i 's|lib/deepin-aiassistant/serivce-plugins|${CMAKE_INSTALL_LIBDIR}/deepin-aiassistant/serivce-plugins|' \
    schedule-plugin/CMakeLists.txt

%build
%cmake -GNinja -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install
install -pDm644 calendar-client/assets/dde-calendar/calendar/common/dde-calendar.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/dde-calendar.svg

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/dde-calendar
%{_sysconfdir}/xdg/autostart/dde-calendar-service.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/applications/dde-calendar.desktop
%{_datadir}/icons/hicolor/scalable/apps/dde-calendar.svg
%{_libdir}/deepin-aiassistant/serivce-plugins/libuosschedulex-plugin.so
%{_datadir}/deepin-manual/
%{_userunitdir}/com.dde.calendarserver.calendar.timer
%{_userunitdir}/*.service
%{_libexecdir}/deepin-daemon/dde-calendar-service
%dir %{_datadir}/dde-calendar
%dir %{_datadir}/dde-calendar/data
%{_datadir}/dde-calendar/data/huangli.db
%{_datadir}/deepin-log-viewer/deepin-log.conf.d/org.deepin.calendar.json
%{_datadir}/metainfo/org.deepin.calendar.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Sat Oct 26 2024 topazus <topazus@outlook.com> - 5.14.8-1
- 5.14.8

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 5.14.3-1
- 5.14.3

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.10.0-1
- New release 5.10.0

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.9.1-1
- New release 5.9.1

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.29-1
- New release 5.8.29

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.27-1
- New release 5.8.27

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.8.26-1
- new upstream release: 5.8.26

* Tue Oct 05 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.4-4
- Fix paths for executables under libexecdir

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.4-3
- Unused patches removed

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.4-2
- Add 0001-needed-cstdint-for-uint32_t.patch to fix ARM build

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.4-1
- New release 5.8.4

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.7.0.26-1
- fix: 修复插件修改重复日程重复类型为永不导致新建一个日程未修改原日程 (chenhaifeng)
- fix: bug54123 系统时间为下午时，桌面智能助手输入如“修改8点的提醒到9点”，无法修改日程时间点 (chenhaifeng)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.7.0.18-1
- new upstream release: 5.7.0.18

* Fri Aug  7 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.1-4
- Improve compatibility with new CMake macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 10 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.1-1
- Release 5.0.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.2.6-1
- Update to 1.2.6

* Fri Aug 10 2018 mosquito <sensor.wen@gmail.com> - 1.2.5-1
- Update to 1.2.5

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 1.2.4-1
- Update to 1.2.4

* Fri Jul 20 2018 mosquito <sensor.wen@gmail.com> - 1.2.3-1
- Update to 1.2.3

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Nov 15 2017 mosquito <sensor.wen@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Mon Oct 23 2017 mosquito <sensor.wen@gmail.com> - 1.0.13-1
- Update to 1.0.13

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 1.0.12-1
- Update to 1.0.12

* Sun Aug 06 2017 Zamir SUN <sztsian@gmail.com> - 1.0.11-2
- Add check for desktop file

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 1.0.11-1.gitd2c7b9e
- Update to 1.0.11

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 1.0.7-1.gita8a4f5b
- Update to 1.0.7

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 1.0.4-1.gitb59053f
- Update to 1.0.4

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 1.0.3-1.gitd7e42a1
- Update to 1.0.3

* Mon Dec 19 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 1.0.3-1
- Update to version 1.0.3

* Fri Dec 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 1.0.2-2
- Rebuild with newer deepin-tool-kit

* Sun Oct 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 1.0.2-1
- Initial package build

## END: Generated by rpmautospec
